<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<div class="o-cms-content" id="c{data.uid}">
    <f:if condition="{data.header} != ''">
        <f:render partial="Content/Header" arguments="{_all}"/>
    </f:if>

    <div class="o-cms-content__body">
        <f:comment><!-- media object wrappers --></f:comment>
        <f:if condition="{gallery.position.horizontal} == 'left'">
            <div class="o-media o-media--left">
        </f:if>
        <f:if condition="{gallery.position.horizontal} == 'right'">
            <div class="o-media o-media--right">
        </f:if>
        <f:if condition="{gallery.position.horizontal} == 'center'">
            <div class="o-media o-media--stacked">
        </f:if>

            <f:comment><!-- media content --></f:comment>
            <f:if condition="{gallery.position.vertical} == 'above'">
                <f:render partial="MediaGallery" arguments="{_all}"/>
            </f:if>
            <f:if condition="{gallery.position.vertical} == 'intext'">
                <f:render partial="MediaGallery" arguments="{_all}"/>
            </f:if>

            <f:comment><!-- textual content --></f:comment>
            <div class="o-media__body">
                <f:format.html>{data.bodytext}</f:format.html>
            </div>

            <f:if condition="{gallery.position.vertical} == 'below'">
                <f:render partial="MediaGallery" arguments="{_all}"/>
            </f:if>
        </div>
    </div>
</div>
</html>
